---
title: FileRequest
slug: Web/API/FileRequest
tags:
  - API
  - DOM
  - Files
  - Interface
  - Non-standard
  - Reference
  - Référence(2)
---
<p>{{APIRef("File System API")}} {{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>FileRequest</code> interface extends the {{domxref("DOMRequest")}} interface to provide some extra properties necessary for the {{domxref("LockedFile")}} objects.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("FileRequest.lockedFile")}} {{readonlyinline}}</dt>
 <dd>The {{domxref("LockedFile")}} object from which the request was started.</dd>
 <dt>{{domxref("FileRequest.onprogress")}}</dt>
 <dd>A callback handler called repeatedly while the operation represented by the <code>FileRequest</code> is in progress.</dd>
</dl>

<p>The <code>FileRequest</code> interface also inherits from the {{domxref("DOMRequest")}} interface.</p>

<p>{{page("/en-US/docs/Web/API/DOMRequest","Properties")}}</p>

<h2 id="Method_overview">Methods</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileHandle")}}</li>
 <li>{{domxref("LockedFile")}}</li>
</ul>
